---
title: "Get shared with me"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`GET /v2/reports/shared-with-me`

## Query parameters

- `limit` (`report-get-shared-with-me.query.limit`; number, optional)
  - min 1; max 100; default `20`
- `offset` (`report-get-shared-with-me.query.offset`; number, optional)
  - min 0; default `0`
- `status` (`report-get-shared-with-me.query.status`; string, optional)
  - one of `"accepted"`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/reports/shared-with-me
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/shared-with-me';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/shared-with-me"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "items": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",
        "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7",
        "sharedByUserId": "string",
        "permission": "read",
        "message": "string",
        "createdAt": "string",
        "viewedAt": "string",
        "isUnread": true,
        "withdrawnAt": "2019-08-24T14:15:22Z",
        "relationState": "complete",
        "unavailableRelations": [],
        "reportTitle": "string",
        "reportType": "string",
        "entityName": "string",
        "versionNumber": 0,
        "documentType": "string",
        "sharedByName": "string",
        "sharedByEmail": "string",
        "sharedByAvatar": "string"
      }
    ],
    "total": 0
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`report-get-shared-with-me.response.200.data`; object, required)
  - `items` (`report-get-shared-with-me.response.200.data.items`; array<any of>, required)
    - any of:
      - `object`
        - `id` (`report-get-shared-with-me.response.200.data.items.1.id`; string, required)
          - format `uuid`
        - `reportId` (`report-get-shared-with-me.response.200.data.items.1.reportId`; string, required)
          - format `uuid`
        - `versionId` (`report-get-shared-with-me.response.200.data.items.1.versionId`; string, required)
          - format `uuid`
        - `sharedByUserId` (`report-get-shared-with-me.response.200.data.items.1.sharedByUserId`; string, required)
        - `permission` (`report-get-shared-with-me.response.200.data.items.1.permission`; string, required)
          - one of `"read"`, `"comment"`, `"suggest"`
        - `message` (`report-get-shared-with-me.response.200.data.items.1.message`; string, required, nullable)
        - `createdAt` (`report-get-shared-with-me.response.200.data.items.1.createdAt`; string, required)
        - `viewedAt` (`report-get-shared-with-me.response.200.data.items.1.viewedAt`; string, required, nullable)
        - `isUnread` (`report-get-shared-with-me.response.200.data.items.1.isUnread`; boolean, required)
        - `relationState` (`report-get-shared-with-me.response.200.data.items.1.relationState`; string, required)
          - one of `"complete"`
        - `unavailableRelations` (`report-get-shared-with-me.response.200.data.items.1.unavailableRelations`; array<unknown>, required)
        - `reportTitle` (`report-get-shared-with-me.response.200.data.items.1.reportTitle`; string, required)
        - `reportType` (`report-get-shared-with-me.response.200.data.items.1.reportType`; string, required, nullable)
        - `entityName` (`report-get-shared-with-me.response.200.data.items.1.entityName`; string, required, nullable)
        - `versionNumber` (`report-get-shared-with-me.response.200.data.items.1.versionNumber`; number, required)
        - `documentType` (`report-get-shared-with-me.response.200.data.items.1.documentType`; string, required, nullable)
        - `sharedByName` (`report-get-shared-with-me.response.200.data.items.1.sharedByName`; string, required, nullable)
        - `sharedByEmail` (`report-get-shared-with-me.response.200.data.items.1.sharedByEmail`; string, required, nullable)
        - `sharedByAvatar` (`report-get-shared-with-me.response.200.data.items.1.sharedByAvatar`; string, required, nullable)
        - `withdrawnAt` (`report-get-shared-with-me.response.200.data.items.1.withdrawnAt`; string, optional, nullable)
          - format `date-time`
      - `object`
        - `id` (`report-get-shared-with-me.response.200.data.items.2.id`; string, required)
          - format `uuid`
        - `reportId` (`report-get-shared-with-me.response.200.data.items.2.reportId`; string, required)
          - format `uuid`
        - `versionId` (`report-get-shared-with-me.response.200.data.items.2.versionId`; string, required)
          - format `uuid`
        - `sharedByUserId` (`report-get-shared-with-me.response.200.data.items.2.sharedByUserId`; string, required)
        - `permission` (`report-get-shared-with-me.response.200.data.items.2.permission`; string, required)
          - one of `"read"`, `"comment"`, `"suggest"`
        - `message` (`report-get-shared-with-me.response.200.data.items.2.message`; string, required, nullable)
        - `createdAt` (`report-get-shared-with-me.response.200.data.items.2.createdAt`; string, required)
        - `viewedAt` (`report-get-shared-with-me.response.200.data.items.2.viewedAt`; string, required, nullable)
        - `isUnread` (`report-get-shared-with-me.response.200.data.items.2.isUnread`; boolean, required)
        - `relationState` (`report-get-shared-with-me.response.200.data.items.2.relationState`; string, required)
          - one of `"unavailable"`
        - `unavailableRelations` (`report-get-shared-with-me.response.200.data.items.2.unavailableRelations`; array<string>, required)
          - one of `"report"`, `"report_version"`, `"sharer_user"`
        - `reportTitle` (`report-get-shared-with-me.response.200.data.items.2.reportTitle`; string, required, nullable)
        - `reportType` (`report-get-shared-with-me.response.200.data.items.2.reportType`; string, required, nullable)
        - `entityName` (`report-get-shared-with-me.response.200.data.items.2.entityName`; string, required, nullable)
        - `versionNumber` (`report-get-shared-with-me.response.200.data.items.2.versionNumber`; number, required, nullable)
        - `documentType` (`report-get-shared-with-me.response.200.data.items.2.documentType`; string, required, nullable)
        - `sharedByName` (`report-get-shared-with-me.response.200.data.items.2.sharedByName`; string, required, nullable)
        - `sharedByEmail` (`report-get-shared-with-me.response.200.data.items.2.sharedByEmail`; string, required, nullable)
        - `sharedByAvatar` (`report-get-shared-with-me.response.200.data.items.2.sharedByAvatar`; string, required, nullable)
        - `withdrawnAt` (`report-get-shared-with-me.response.200.data.items.2.withdrawnAt`; string, optional, nullable)
          - format `date-time`
  - `total` (`report-get-shared-with-me.response.200.data.total`; number, required)
- `meta` (`report-get-shared-with-me.response.200.meta`; object, optional)
  - `timestamp` (`report-get-shared-with-me.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-shared-with-me.response.400.error`; object, required)
  - `code` (`report-get-shared-with-me.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-shared-with-me.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-shared-with-me.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-shared-with-me.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-shared-with-me.response.401.error`; object, required)
  - `code` (`report-get-shared-with-me.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-shared-with-me.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-shared-with-me.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-shared-with-me.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-shared-with-me.response.403.error`; object, required)
  - `code` (`report-get-shared-with-me.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-shared-with-me.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-shared-with-me.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-shared-with-me.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-shared-with-me.response.404.error`; object, required)
  - `code` (`report-get-shared-with-me.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-shared-with-me.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-shared-with-me.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-shared-with-me.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-get-shared-with-me.response.500.error`; object, required)
  - `code` (`report-get-shared-with-me.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-get-shared-with-me.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-get-shared-with-me.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-get-shared-with-me.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-get-shared-with-me/index.md
